Package qsardes.descriptor.qsarme

# Class QsarMETopologicalDistance

java.lang.Object
qsardes.descriptor.DescriptorTopologicalDistance
qsardes.descriptor.qsarme.QsarMETopologicalDistance

All Implemented Interfaces:
  `Descriptor`

public final class QsarMETopologicalDistance extends DescriptorTopologicalDistance
Topological distance matrix descriptor (QSAR-ME Profiler 2025).
Calculates topological distance matrix descriptors.
Returns
SpMax_D - Leading eigenvalue.
SpDiam_D - Spectral diameter.
SpAD_D - Spectral absolute deviation.
SpMAD_D - Spectral mean absolute deviation.
EE_D - Estrada-like index.
VE1_D - Coefficient sum of the last eigenvector.
VE2_D - Average coefficient sum of the last eigenvector.
VE3_D - Logarithmic coefficient sum of the last eigenvector.
VR1_D - Randic-like eigenvector-based index.
VR2_D - Normalized Randic-like eigenvector-based index.
VR3_D - Logarithmic Randic-like eigenvector-based index.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarMETopologicalDistance()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected double`
  `calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)`
  `protected double`
  `get_sp_ve1_sum(double sp_ve1_sum)`
  `protected double`
  `get_ve3(double sp_ve1_sum, int atom_count)`
  `protected double`
  `get_vr3(double vr1_sum, int atom_count)`

  ### Methods inherited from class qsardes.descriptor.DescriptorTopologicalDistance

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarMETopologicalDistance

    public QsarMETopologicalDistance()

- ## Method Details

  - ### calculate_sp_ve1_sum

    protected double calculate_sp_ve1_sum(UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_ve1_sum` in class `DescriptorTopologicalDistance`

  - ### calculate_sp_vr1_sum

    protected double calculate_sp_vr1_sum(org.openscience.cdk.interfaces.IAtomContainer iac, UtilsCalc utils_calc, double[][] eig_vec_array)
    Specified by:
      `calculate_sp_vr1_sum` in class `DescriptorTopologicalDistance`

  - ### get_sp_ve1_sum

    protected double get_sp_ve1_sum(double sp_ve1_sum)
    Specified by:
      `get_sp_ve1_sum` in class `DescriptorTopologicalDistance`

  - ### get_ve3

    protected double get_ve3(double sp_ve1_sum, int atom_count)
    Specified by:
      `get_ve3` in class `DescriptorTopologicalDistance`

  - ### get_vr3

    protected double get_vr3(double vr1_sum, int atom_count)
    Specified by:
      `get_vr3` in class `DescriptorTopologicalDistance`